// przykład połączenia
var securityBindingElement = SecurityBindingElement.CreateMutualCertificateBindingElement(MessageSecurityVersion.WSSecurity10WSTrustFebruary2005WSSecureConversationFebruary2005WSSecurityPolicy11BasicSecurityProfile10);
securityBindingElement.MessageSecurityVersion = MessageSecurityVersion.WSSecurity10WSTrustFebruary2005WSSecureConversationFebruary2005WSSecurityPolicy11BasicSecurityProfile10;
securityBindingElement.IncludeTimestamp = false;
securityBindingElement.EnableUnsecuredResponse = true;

var textMessageEncoding = new CustomMessageEncoderBindingElement(new TextMessageEncodingBindingElement { MessageVersion = MessageVersion.Soap11 });

var httpsTransport = new HttpsTransportBindingElement();
httpsTransport.RequireClientCertificate = false;

var binding = new CustomBinding();
binding.Elements.Add(securityBindingElement);
binding.Elements.Add(textMessageEncoding);
binding.Elements.Add(httpsTransport);

var messageSigningCertificate = new X509Certificate2(certificatePath, certificatePassword);
string cn = messageSigningCertificate.GetNameInfo(X509NameType.SimpleName, false);
var address = new EndpointAddress(new Uri("https://ewa-zsmopl.ezdrowie.gov.pl/cxf/zsmopl/ws/"), EndpointIdentity.CreateDnsIdentity(cn));
var client = new ObslugaKomunikatowClient(binding, address);
client.Endpoint.Contract.ProtectionLevel = ProtectionLevel.Sign;
client.ChannelFactory.Credentials.ClientCertificate.Certificate = messageSigningCertificate;
client.ChannelFactory.Credentials.ServiceCertificate.DefaultCertificate = messageSigningCertificate;
var response = client.zapiszKomunikatOS(new KomunikatOSMT
{
	// dane komunikatu
});
